# Umi-OCR

基于 panddleOCR 文字识别工具

## Usage

windows 下载 https://github.com/hiroi-sora/Umi-OCR/releases/download/v1.3.7/Umi-OCR.v1.3.7.7z 解压使用即可。

win7 需要安装 [VC运行库](https://aka.ms/vs/17/release/vc_redist.x64.exe)

## Develop

项目文件结构：
```
ocr
ocr/tbpu
ui
ui/pmw
utils
```
ui 基于 tkinter,识别功能在ocr目录。主要关注 MsnBatch 和 MsnQuick类，单处理和批量处理

```
from ocr.msn_batch_paths import MsnBatch
from ocr.msn_quick import MsnQuick
```


```
pip install -r requirements.txt
```


打包exe：
```
# 执行 pyinstaller -F -w -i icon/icon.ico -n "Umi-OCR 文字识别" main.py
python to_exe.py

```

